From a282f3df613d89d9ef72d439b3307a3d78640a9e Mon Sep 17 00:00:00 2001
From: Yang Gu <yang.gu@intel.com>
Date: Mon, 23 Nov 2009 09:58:54 +0800
Subject: [PATCH 2/2] Support Huawei specific terminator

---
 plugins/huawei.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/plugins/huawei.c b/plugins/huawei.c
index 08f0e01..e83f9c1 100644
--- a/plugins/huawei.c
+++ b/plugins/huawei.c
@@ -107,6 +107,7 @@ static int huawei_enable(struct ofono_modem *modem)
 
 	syntax = g_at_syntax_new_gsmv1();
 	data->chat = g_at_chat_new(channel, syntax);
+	g_at_chat_add_terminator(data->chat, "COMMAND NOT SUPPORT", -1, FALSE);
 	g_at_syntax_unref(syntax);
 	g_io_channel_unref(channel);
 
-- 
1.6.5.2

